INTERFACE
SUBROUTINE LASCAWTL(KPROMA,KPROMB,KST,KPROF,KFLEV,KGLN,KGLX,&
 & KFLDN,KSTABUF,KWIS,KHOR,&
 & LDSLHD,LDSLHDQUAD,&
 & P4JP,PIS2,PLSDEPI,PLATI,&
 & PIPI0,PIPI1,PIPI2,PSLD1,PSLD2,PSLD3,PSLDW,PLON,PLAT,PLEV,&
 & PLON5,PLAT5,PLEV5,&
 & PVETAF,KVAUTF,&
 & PVCUICO,PVSLD,PVSLDW,KRLEVX,PVRLEVX,PKAPPA,PKAPPA5,&
 & PDLAT,PCLA,PCLASLD,PDLO,PCLO,PCLOSLD,KL0,KLH0,KLEV,&
 & PDVER,PVINTW,PVINTWSLD,&
 & PDLAT5,PCLA5,PCLASLD5,PDLO5,PCLO5,PCLOSLD5,&
 & PDVER5,PVINTW5,PVINTWSLD5 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLASCAW,ONLY : KPDUP
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KGLN
INTEGER(KIND=JPIM),INTENT(IN) :: KGLX
INTEGER(KIND=JPIM),INTENT(IN) :: KRLEVX
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDN
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(KGLN:KGLX)
INTEGER(KIND=JPIM),INTENT(IN) :: KWIS
INTEGER(KIND=JPIM),INTENT(IN) :: KHOR
LOGICAL ,INTENT(IN) :: LDSLHD
LOGICAL ,INTENT(IN) :: LDSLHDQUAD
REAL(KIND=JPRB) ,INTENT(IN) :: P4JP
REAL(KIND=JPRB) ,INTENT(IN) :: PIS2
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLATI(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI0(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPI2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLD1(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLD2(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLD3(KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLDW(3,3,KGLN:KGLX)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLON5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAT5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLEV5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVETAF(0:KFLEV+1)
INTEGER(KIND=JPIM),INTENT(IN) :: KVAUTF(0:KRLEVX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCUICO(4,0:KFLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSLD(3,0:KFLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVSLDW(3,3,0:KFLEV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLEVX
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPPA5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLAT(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLA(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLASLD(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO(KPROMB,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLO(KPROMB,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOSLD(KPROMB,KFLEV,3,2)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KL0(KPROMB,KFLEV,0:3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLH0(KPROMB,KFLEV,0:3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLEV(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDVER(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTW(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWSLD(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLAT5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLA5(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLASLD5(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO5(KPROMB,KFLEV,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLO5(KPROMB,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOSLD5(KPROMB,KFLEV,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDVER5(KPROMB,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTW5(KPROMB,KFLEV,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWSLD5(KPROMB,KFLEV,3)
END SUBROUTINE LASCAWTL
END INTERFACE
